﻿@model Inchirieri.Models.Cars

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Edit Car: @Model.Id</h2>

<form method="post">
  <table class="table" style="border:none;">
      <tr>
          <td>Car Model:</td>
          <td><input name="carModel" value="@Model.Model" type="text" /></td>
      </tr>
      <tr>
          <td>Registration Date: </td>
          <td><input name="regDate" value="@Model.RegDate" type="number" min="1980" max="2100" /></td>
      </tr>
      <tr>
          <td>Fuel Type:</td>
          <td>
              <select name="fuelType">
                  @foreach(var fuel in ViewBag.FuelTypes)
                  {
                      <option value="@fuel.Key" @(Model.Fuel == fuel.Value ? "selected" : string.Empty)> @fuel.Value</option>
                  }
              </select>
          </td>
      </tr>
      <tr>
          <td>Number of seats:</td>
          <td><input name="numSeats" value="@Model.Seats" type="number" min="1" max="20" /></td>
      </tr>
      <tr>
          <td>Color:</td>
          <td>
              <select name="carColor">
                  <option value="1">Red</option>
                  <option value="2">Green</option>
                  <option value="3">Blue</option>
                  <option value="4">Grey</option>
                  <option value="5">yellow</option>
                  <option value="6">Cyan</option>
                  <option value="7">Black</option>
                  <option value="8">Brown</option>
                  <option value="9">Purple</option>
                  <option value="10">White</option>
              </select>
          </td>
      </tr>
      <tr>
          <td>Gear box:</td>
          <td>
              <select name="Transmission">
                  @foreach (var Transmission in ViewBag.Transmission)
                  {
                      <option value="@Transmission.Key" @(Model.Gearbox == Transmission.Value ? "selected" : string.Empty)> @Transmission.Value</option>
                  }
              </select>
          </td>
      </tr>
      <tr>
          <td>Rent price</td>
          <td><input name="rentPrice" value="@Model.Price"type="number" min="1" /></td>
      </tr>
  </table>
  <br />
  <input type="submit" class="btn btn-primary" />
</form>

